Bug 259496 - x11/nvidia-driver: Update to 470.82.00
Summary: x11/nvidia-driver: Update to 470.82.00
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks: 259497 259498
  Show dependency treegraph
 
Reported: 2021-10-28 04:49 UTC by Jung-uk Kim
Modified: 2021-11-02 11:41 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
Update NVIDIA driver to 470.82.00 (3.54 KB, patch)
2021-10-28 04:49 UTC, Jung-uk Kim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jung-uk Kim freebsd_committer 2021-10-28 04:49:29 UTC
Created attachment 229087 [details]
Update NVIDIA driver to 470.82.00

New NVIDIA drivers were released.

https://www.nvidia.com/Download/driverResults.aspx/181280/

This patch updates it to 470.82.00 and adds support for 495.44.
Comment 1 Kevin Bowling freebsd_committer 2021-10-30 20:09:58 UTC
For 495 series compat need this in the MAKE_ENV too:
+               EGL_EXTERNAL_PLATFORM_JSON_PATH=${STAGEDIR}${EGL_JSON_PATH} \
Comment 2 commit-hook freebsd_committer 2021-10-31 11:57:25 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ae576a3b287e06f3fc971b22ee035f7acfce41ec

commit ae576a3b287e06f3fc971b22ee035f7acfce41ec
Author:     Alexey Dokuchaev <danfe@FreeBSD.org>
AuthorDate: 2021-10-31 11:54:42 +0000
Commit:     Alexey Dokuchaev <danfe@FreeBSD.org>
CommitDate: 2021-10-31 11:54:44 +0000

    x11/nvidia-driver: update NVidia mainline driver to version 470.82.00

    PR:             259496 (part 1)
    Submitted by:   jkim

 x11/nvidia-driver/Makefile | 2 +-
 x11/nvidia-driver/distinfo | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)
Comment 3 commit-hook freebsd_committer 2021-11-02 09:59:25 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2f121355b0fe67fc2d3991479a7d61eaf46f3da9

commit 2f121355b0fe67fc2d3991479a7d61eaf46f3da9
Author:     Alexey Dokuchaev <danfe@FreeBSD.org>
AuthorDate: 2021-11-02 09:58:24 +0000
Commit:     Alexey Dokuchaev <danfe@FreeBSD.org>
CommitDate: 2021-11-02 09:58:25 +0000

    x11/nvidia-driver: add support for the new feature branch 495.xx

    The `libnvidia-egl-gbm' library is not yet on the SUBDIR list in the
    `lib/Makefile', so record newly added pkg-plist entries as commented
    out for the moment.

    PR:             259496 (part 2)
    Submitted by:   jkim

 x11/nvidia-driver/Makefile  | 14 +++++++++++---
 x11/nvidia-driver/pkg-plist |  3 +++
 2 files changed, 14 insertions(+), 3 deletions(-)
Comment 4 Alexey Dokuchaev freebsd_committer 2021-11-02 10:01:11 UTC
Committed with minor modifications, thanks everyone!
Comment 5 Alex S 2021-11-02 11:02:56 UTC
This port's Makefile really needs a comment reminding people to update linux-nvidia-libs.
Comment 6 Alexey Dokuchaev freebsd_committer 2021-11-02 11:41:46 UTC
(In reply to Alex S from comment #5)

Both port are updated at the same time these days, often with the same commit.  I might add one, but it's not like it's recurring problem or something.